/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2025 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-NetworkAuth.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAuthAPI_H
#define _QtNetworkAuthAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_TIMELINE_QtNetworkAuth_6_9_0
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_TIMELINE_Qt_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QOAuth2AuthorizationCodeFlow__PkceMethod 0
#define sipName_QOAuth2AuthorizationCodeFlow__PkceMethod &sipStrings_QtNetworkAuth[0]
#define sipNameNr_QOAuth1Signature__HttpRequestMethod 41
#define sipName_QOAuth1Signature__HttpRequestMethod &sipStrings_QtNetworkAuth[41]
#define sipNameNr_clientIdentifierSharedKeyChanged 77
#define sipName_clientIdentifierSharedKeyChanged &sipStrings_QtNetworkAuth[77]
#define sipNameNr_QOAuth2DeviceAuthorizationFlow 110
#define sipName_QOAuth2DeviceAuthorizationFlow &sipStrings_QtNetworkAuth[110]
#define sipNameNr_RequestingTemporaryCredentials 141
#define sipName_RequestingTemporaryCredentials &sipStrings_QtNetworkAuth[141]
#define sipNameNr_completeVerificationUrlChanged 172
#define sipName_completeVerificationUrlChanged &sipStrings_QtNetworkAuth[172]
#define sipNameNr_temporaryCredentialsUrlChanged 203
#define sipName_temporaryCredentialsUrlChanged &sipStrings_QtNetworkAuth[203]
#define sipNameNr_OAuthTokenSecretNotFoundError 234
#define sipName_OAuthTokenSecretNotFoundError &sipStrings_QtNetworkAuth[234]
#define sipNameNr_authorizationCallbackReceived 264
#define sipName_authorizationCallbackReceived &sipStrings_QtNetworkAuth[264]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION_STR 294
#define sipName_PYQT_NETWORKAUTH_VERSION_STR &sipStrings_QtNetworkAuth[294]
#define sipNameNr_QOAuth2AuthorizationCodeFlow 323
#define sipName_QOAuth2AuthorizationCodeFlow &sipStrings_QtNetworkAuth[323]
#define sipNameNr_QOAuthHttpServerReplyHandler 352
#define sipName_QOAuthHttpServerReplyHandler &sipStrings_QtNetworkAuth[352]
#define sipNameNr_TemporaryCredentialsReceived 381
#define sipName_TemporaryCredentialsReceived &sipStrings_QtNetworkAuth[381]
#define sipNameNr_setClientIdentifierSharedKey 410
#define sipName_setClientIdentifierSharedKey &sipStrings_QtNetworkAuth[410]
#define sipNameNr_QAbstractOAuth__ContentType 439
#define sipName_QAbstractOAuth__ContentType &sipStrings_QtNetworkAuth[439]
#define sipNameNr_467 467
#define sipName_467 &sipStrings_QtNetworkAuth[467]
#define sipNameNr_QOAuthUriSchemeReplyHandler 495
#define sipName_QOAuthUriSchemeReplyHandler &sipStrings_QtNetworkAuth[495]
#define sipNameNr_clearNetworkRequestModifier 523
#define sipName_clearNetworkRequestModifier &sipStrings_QtNetworkAuth[523]
#define sipNameNr_generateAuthorizationHeader 551
#define sipName_generateAuthorizationHeader &sipStrings_QtNetworkAuth[551]
#define sipNameNr_handleAuthorizationRedirect 579
#define sipName_handleAuthorizationRedirect &sipStrings_QtNetworkAuth[579]
#define sipNameNr_refreshTokensImplementation 607
#define sipName_refreshTokensImplementation &sipStrings_QtNetworkAuth[607]
#define sipNameNr_requestTemporaryCredentials 635
#define sipName_requestTemporaryCredentials &sipStrings_QtNetworkAuth[635]
#define sipNameNr_requestedScopeTokensChanged 663
#define sipName_requestedScopeTokensChanged &sipStrings_QtNetworkAuth[663]
#define sipNameNr_serverReportedErrorOccurred 691
#define sipName_serverReportedErrorOccurred &sipStrings_QtNetworkAuth[691]
#define sipNameNr_setModifyParametersFunction 719
#define sipName_setModifyParametersFunction &sipStrings_QtNetworkAuth[719]
#define sipNameNr_userCodeExpirationAtChanged 747
#define sipName_userCodeExpirationAtChanged &sipStrings_QtNetworkAuth[747]
#define sipNameNr_QAbstractOAuth2__NonceMode 775
#define sipName_QAbstractOAuth2__NonceMode &sipStrings_QtNetworkAuth[775]
#define sipNameNr_QAbstractOAuthReplyHandler 802
#define sipName_QAbstractOAuthReplyHandler &sipStrings_QtNetworkAuth[802]
#define sipNameNr_resourceOwnerAuthorization 829
#define sipName_resourceOwnerAuthorization &sipStrings_QtNetworkAuth[829]
#define sipNameNr_setTemporaryCredentialsUrl 856
#define sipName_setTemporaryCredentialsUrl &sipStrings_QtNetworkAuth[856]
#define sipNameNr_883 883
#define sipName_883 &sipStrings_QtNetworkAuth[883]
#define sipNameNr_tokenCredentialsUrlChanged 910
#define sipName_tokenCredentialsUrlChanged &sipStrings_QtNetworkAuth[910]
#define sipNameNr_clientIdentifierSharedKey 937
#define sipName_clientIdentifierSharedKey &sipStrings_QtNetworkAuth[937]
#define sipNameNr_clientSharedSecretChanged 963
#define sipName_clientSharedSecretChanged &sipStrings_QtNetworkAuth[963]
#define sipNameNr_continueGrantWithVerifier 989
#define sipName_continueGrantWithVerifier &sipStrings_QtNetworkAuth[989]
#define sipNameNr_grantedScopeTokensChanged 1015
#define sipName_grantedScopeTokensChanged &sipStrings_QtNetworkAuth[1015]
#define sipNameNr_tokenRequestErrorOccurred 1041
#define sipName_tokenRequestErrorOccurred &sipStrings_QtNetworkAuth[1041]
#define sipNameNr_OAuthCallbackNotVerified 1067
#define sipName_OAuthCallbackNotVerified &sipStrings_QtNetworkAuth[1067]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION 1092
#define sipName_PYQT_NETWORKAUTH_VERSION &sipStrings_QtNetworkAuth[1092]
#define sipNameNr_QOAuth1__SignatureMethod 1117
#define sipName_QOAuth1__SignatureMethod &sipStrings_QtNetworkAuth[1117]
#define sipNameNr_accessTokenAboutToExpire 1142
#define sipName_accessTokenAboutToExpire &sipStrings_QtNetworkAuth[1142]
#define sipNameNr_modifyParametersFunction 1167
#define sipName_modifyParametersFunction &sipStrings_QtNetworkAuth[1167]
#define sipNameNr_OAuthTokenNotFoundError 1192
#define sipName_OAuthTokenNotFoundError &sipStrings_QtNetworkAuth[1192]
#define sipNameNr_PyQt6_sip_simplewrapper 1216
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetworkAuth[1216]
#define sipNameNr_RequestingAuthorization 1240
#define sipName_RequestingAuthorization &sipStrings_QtNetworkAuth[1240]
#define sipNameNr_authorizationUrlChanged 1264
#define sipName_authorizationUrlChanged &sipStrings_QtNetworkAuth[1264]
#define sipNameNr_clientIdentifierChanged 1288
#define sipName_clientIdentifierChanged &sipStrings_QtNetworkAuth[1288]
#define sipNameNr_completeVerificationUrl 1312
#define sipName_completeVerificationUrl &sipStrings_QtNetworkAuth[1312]
#define sipNameNr_requestTokenCredentials 1336
#define sipName_requestTokenCredentials &sipStrings_QtNetworkAuth[1336]
#define sipNameNr_setNetworkAccessManager 1360
#define sipName_setNetworkAccessManager &sipStrings_QtNetworkAuth[1360]
#define sipNameNr_setRequestedScopeTokens 1384
#define sipName_setRequestedScopeTokens &sipStrings_QtNetworkAuth[1384]
#define sipNameNr_sslConfigurationChanged 1408
#define sipName_sslConfigurationChanged &sipStrings_QtNetworkAuth[1408]
#define sipNameNr_temporaryCredentialsUrl 1432
#define sipName_temporaryCredentialsUrl &sipStrings_QtNetworkAuth[1432]
#define sipNameNr_QAbstractOAuth__Status 1456
#define sipName_QAbstractOAuth__Status &sipStrings_QtNetworkAuth[1456]
#define sipNameNr_createAuthenticatedUrl 1479
#define sipName_createAuthenticatedUrl &sipStrings_QtNetworkAuth[1479]
#define sipNameNr_refreshLeadTimeChanged 1502
#define sipName_refreshLeadTimeChanged &sipStrings_QtNetworkAuth[1502]
#define sipNameNr_setTokenCredentialsUrl 1525
#define sipName_setTokenCredentialsUrl &sipStrings_QtNetworkAuth[1525]
#define sipNameNr_signatureMethodChanged 1548
#define sipName_signatureMethodChanged &sipStrings_QtNetworkAuth[1548]
#define sipNameNr_verificationUrlChanged 1571
#define sipName_verificationUrlChanged &sipStrings_QtNetworkAuth[1571]
#define sipNameNr_QAbstractOAuth__Error 1594
#define sipName_QAbstractOAuth__Error &sipStrings_QtNetworkAuth[1594]
#define sipNameNr_QAbstractOAuth__Stage 1616
#define sipName_QAbstractOAuth__Stage &sipStrings_QtNetworkAuth[1616]
#define sipNameNr_QOAuthOobReplyHandler 1638
#define sipName_QOAuthOobReplyHandler &sipStrings_QtNetworkAuth[1638]
#define sipNameNr_RefreshingAccessToken 1660
#define sipName_RefreshingAccessToken &sipStrings_QtNetworkAuth[1660]
#define sipNameNr_RequestingAccessToken 1682
#define sipName_RequestingAccessToken &sipStrings_QtNetworkAuth[1682]
#define sipNameNr_accessTokenUrlChanged 1704
#define sipName_accessTokenUrlChanged &sipStrings_QtNetworkAuth[1704]
#define sipNameNr_authorizeWithUserCode 1726
#define sipName_authorizeWithUserCode &sipStrings_QtNetworkAuth[1726]
#define sipNameNr_setClientSharedSecret 1748
#define sipName_setClientSharedSecret &sipStrings_QtNetworkAuth[1748]
#define sipNameNr_setCustomMethodString 1770
#define sipName_setCustomMethodString &sipStrings_QtNetworkAuth[1770]
#define sipNameNr_authorizeWithBrowser 1792
#define sipName_authorizeWithBrowser &sipStrings_QtNetworkAuth[1792]
#define sipNameNr_buildAuthenticateUrl 1813
#define sipName_buildAuthenticateUrl &sipStrings_QtNetworkAuth[1813]
#define sipNameNr_callbackDataReceived 1834
#define sipName_callbackDataReceived &sipStrings_QtNetworkAuth[1834]
#define sipNameNr_generateRandomString 1855
#define sipName_generateRandomString &sipStrings_QtNetworkAuth[1855]
#define sipNameNr_networkAccessManager 1876
#define sipName_networkAccessManager &sipStrings_QtNetworkAuth[1876]
#define sipNameNr_networkReplyFinished 1897
#define sipName_networkReplyFinished &sipStrings_QtNetworkAuth[1897]
#define sipNameNr_requestedScopeTokens 1918
#define sipName_requestedScopeTokens &sipStrings_QtNetworkAuth[1918]
#define sipNameNr_setClientCredentials 1939
#define sipName_setClientCredentials &sipStrings_QtNetworkAuth[1939]
#define sipNameNr_setHttpRequestMethod 1960
#define sipName_setHttpRequestMethod &sipStrings_QtNetworkAuth[1960]
#define sipNameNr_userCodeExpirationAt 1981
#define sipName_userCodeExpirationAt &sipStrings_QtNetworkAuth[1981]
#define sipNameNr_PyQt6_QtNetworkAuth 2002
#define sipName_PyQt6_QtNetworkAuth &sipStrings_QtNetworkAuth[2002]
#define sipNameNr_expirationAtChanged 2022
#define sipName_expirationAtChanged &sipStrings_QtNetworkAuth[2022]
#define sipNameNr_refreshTokenChanged 2042
#define sipName_refreshTokenChanged &sipStrings_QtNetworkAuth[2042]
#define sipNameNr_responseTypeChanged 2062
#define sipName_responseTypeChanged &sipStrings_QtNetworkAuth[2062]
#define sipNameNr_setAuthorizationUrl 2082
#define sipName_setAuthorizationUrl &sipStrings_QtNetworkAuth[2082]
#define sipNameNr_setClientIdentifier 2102
#define sipName_setClientIdentifier &sipStrings_QtNetworkAuth[2102]
#define sipNameNr_setSslConfiguration 2122
#define sipName_setSslConfiguration &sipStrings_QtNetworkAuth[2122]
#define sipNameNr_setTokenCredentials 2142
#define sipName_setTokenCredentials &sipStrings_QtNetworkAuth[2142]
#define sipNameNr_tokenCredentialsUrl 2162
#define sipName_tokenCredentialsUrl &sipStrings_QtNetworkAuth[2162]
#define sipNameNr_autoRefreshChanged 2182
#define sipName_autoRefreshChanged &sipStrings_QtNetworkAuth[2182]
#define sipNameNr_clientSharedSecret 2201
#define sipName_clientSharedSecret &sipStrings_QtNetworkAuth[2201]
#define sipNameNr_contentTypeChanged 2220
#define sipName_contentTypeChanged &sipStrings_QtNetworkAuth[2220]
#define sipNameNr_customMethodString 2239
#define sipName_customMethodString &sipStrings_QtNetworkAuth[2239]
#define sipNameNr_extraTokensChanged 2258
#define sipName_extraTokensChanged &sipStrings_QtNetworkAuth[2258]
#define sipNameNr_grantedScopeTokens 2277
#define sipName_grantedScopeTokens &sipStrings_QtNetworkAuth[2277]
#define sipNameNr_redirectUrlChanged 2296
#define sipName_redirectUrlChanged &sipStrings_QtNetworkAuth[2296]
#define sipNameNr_refreshAccessToken 2315
#define sipName_refreshAccessToken &sipStrings_QtNetworkAuth[2315]
#define sipNameNr_requestAccessToken 2334
#define sipName_requestAccessToken &sipStrings_QtNetworkAuth[2334]
#define sipNameNr_setClientSharedKey 2353
#define sipName_setClientSharedKey &sipStrings_QtNetworkAuth[2353]
#define sipNameNr_setRefreshLeadTime 2372
#define sipName_setRefreshLeadTime &sipStrings_QtNetworkAuth[2372]
#define sipNameNr_setSignatureMethod 2391
#define sipName_setSignatureMethod &sipStrings_QtNetworkAuth[2391]
#define sipNameNr_tokenSecretChanged 2410
#define sipName_tokenSecretChanged &sipStrings_QtNetworkAuth[2410]
#define sipNameNr_HttpRequestMethod 59
#define sipName_HttpRequestMethod &sipStrings_QtNetworkAuth[59]
#define sipNameNr_WwwFormUrlEncoded 2429
#define sipName_WwwFormUrlEncoded &sipStrings_QtNetworkAuth[2429]
#define sipNameNr_clientCredentials 2447
#define sipName_clientCredentials &sipStrings_QtNetworkAuth[2447]
#define sipNameNr_httpRequestMethod 2465
#define sipName_httpRequestMethod &sipStrings_QtNetworkAuth[2465]
#define sipNameNr_replyDataReceived 2483
#define sipName_replyDataReceived &sipStrings_QtNetworkAuth[2483]
#define sipNameNr_setAccessTokenUrl 2501
#define sipName_setAccessTokenUrl &sipStrings_QtNetworkAuth[2501]
#define sipNameNr_startTokenPolling 2519
#define sipName_startTokenPolling &sipStrings_QtNetworkAuth[2519]
#define sipNameNr_NotAuthenticated 2537
#define sipName_NotAuthenticated &sipStrings_QtNetworkAuth[2537]
#define sipNameNr_QOAuth1Signature 2554
#define sipName_QOAuth1Signature &sipStrings_QtNetworkAuth[2554]
#define sipNameNr_2571 2571
#define sipName_2571 &sipStrings_QtNetworkAuth[2571]
#define sipNameNr_authorizationUrl 2588
#define sipName_authorizationUrl &sipStrings_QtNetworkAuth[2588]
#define sipNameNr_callbackReceived 2605
#define sipName_callbackReceived &sipStrings_QtNetworkAuth[2605]
#define sipNameNr_clientIdentifier 2622
#define sipName_clientIdentifier &sipStrings_QtNetworkAuth[2622]
#define sipNameNr_disconnectNotify 2639
#define sipName_disconnectNotify &sipStrings_QtNetworkAuth[2639]
#define sipNameNr_nonceModeChanged 2656
#define sipName_nonceModeChanged &sipStrings_QtNetworkAuth[2656]
#define sipNameNr_sslConfiguration 2673
#define sipName_sslConfiguration &sipStrings_QtNetworkAuth[2673]
#define sipNameNr_stopTokenPolling 2690
#define sipName_stopTokenPolling &sipStrings_QtNetworkAuth[2690]
#define sipNameNr_tokenCredentials 2707
#define sipName_tokenCredentials &sipStrings_QtNetworkAuth[2707]
#define sipNameNr_userAgentChanged 2724
#define sipName_userAgentChanged &sipStrings_QtNetworkAuth[2724]
#define sipNameNr_QAbstractOAuth2 2741
#define sipName_QAbstractOAuth2 &sipStrings_QtNetworkAuth[2741]
#define sipNameNr_RefreshingToken 2757
#define sipName_RefreshingToken &sipStrings_QtNetworkAuth[2757]
#define sipNameNr_SignatureMethod 1126
#define sipName_SignatureMethod &sipStrings_QtNetworkAuth[1126]
#define sipNameNr_clientSharedKey 2773
#define sipName_clientSharedKey &sipStrings_QtNetworkAuth[2773]
#define sipNameNr_refreshLeadTime 2789
#define sipName_refreshLeadTime &sipStrings_QtNetworkAuth[2789]
#define sipNameNr_setCallbackHost 2805
#define sipName_setCallbackHost &sipStrings_QtNetworkAuth[2805]
#define sipNameNr_setCallbackPath 2821
#define sipName_setCallbackPath &sipStrings_QtNetworkAuth[2821]
#define sipNameNr_setCallbackText 2837
#define sipName_setCallbackText &sipStrings_QtNetworkAuth[2837]
#define sipNameNr_setRefreshToken 2853
#define sipName_setRefreshToken &sipStrings_QtNetworkAuth[2853]
#define sipNameNr_setReplyHandler 2869
#define sipName_setReplyHandler &sipStrings_QtNetworkAuth[2869]
#define sipNameNr_setResponseType 2885
#define sipName_setResponseType &sipStrings_QtNetworkAuth[2885]
#define sipNameNr_signatureMethod 2901
#define sipName_signatureMethod &sipStrings_QtNetworkAuth[2901]
#define sipNameNr_tokenUrlChanged 2917
#define sipName_tokenUrlChanged &sipStrings_QtNetworkAuth[2917]
#define sipNameNr_userCodeChanged 2933
#define sipName_userCodeChanged &sipStrings_QtNetworkAuth[2933]
#define sipNameNr_verificationUrl 2949
#define sipName_verificationUrl &sipStrings_QtNetworkAuth[2949]
#define sipNameNr_QAbstractOAuth 2965
#define sipName_QAbstractOAuth &sipStrings_QtNetworkAuth[2965]
#define sipNameNr_accessTokenUrl 2980
#define sipName_accessTokenUrl &sipStrings_QtNetworkAuth[2980]
#define sipNameNr_addRequestBody 2995
#define sipName_addRequestBody &sipStrings_QtNetworkAuth[2995]
#define sipNameNr_deleteResource 3010
#define sipName_deleteResource &sipStrings_QtNetworkAuth[3010]
#define sipNameNr_idTokenChanged 3025
#define sipName_idTokenChanged &sipStrings_QtNetworkAuth[3025]
#define sipNameNr_pollingChanged 3040
#define sipName_pollingChanged &sipStrings_QtNetworkAuth[3040]
#define sipNameNr_prepareRequest 3055
#define sipName_prepareRequest &sipStrings_QtNetworkAuth[3055]
#define sipNameNr_setAutoRefresh 3070
#define sipName_setAutoRefresh &sipStrings_QtNetworkAuth[3070]
#define sipNameNr_setContentType 3085
#define sipName_setContentType &sipStrings_QtNetworkAuth[3085]
#define sipNameNr_setRedirectUrl 3100
#define sipName_setRedirectUrl &sipStrings_QtNetworkAuth[3100]
#define sipNameNr_setTokenSecret 3115
#define sipName_setTokenSecret &sipStrings_QtNetworkAuth[3115]
#define sipNameNr_tokensReceived 3130
#define sipName_tokensReceived &sipStrings_QtNetworkAuth[3130]
#define sipNameNr_connectNotify 2642
#define sipName_connectNotify &sipStrings_QtNetworkAuth[2642]
#define sipNameNr_refreshTokens 3145
#define sipName_refreshTokens &sipStrings_QtNetworkAuth[3145]
#define sipNameNr_requestFailed 3159
#define sipName_requestFailed &sipStrings_QtNetworkAuth[3159]
#define sipNameNr_setParameters 3173
#define sipName_setParameters &sipStrings_QtNetworkAuth[3173]
#define sipNameNr_setPkceMethod 3187
#define sipName_setPkceMethod &sipStrings_QtNetworkAuth[3187]
#define sipNameNr_statusChanged 3201
#define sipName_statusChanged &sipStrings_QtNetworkAuth[3201]
#define sipNameNr_ExpiredError 3215
#define sipName_ExpiredError &sipStrings_QtNetworkAuth[3215]
#define sipNameNr_NetworkError 3228
#define sipName_NetworkError &sipStrings_QtNetworkAuth[3228]
#define sipNameNr_callbackHost 3241
#define sipName_callbackHost &sipStrings_QtNetworkAuth[3241]
#define sipNameNr_callbackPath 3254
#define sipName_callbackPath &sipStrings_QtNetworkAuth[3254]
#define sipNameNr_callbackText 3267
#define sipName_callbackText &sipStrings_QtNetworkAuth[3267]
#define sipNameNr_defaultValue 3280
#define sipName_defaultValue &sipStrings_QtNetworkAuth[3280]
#define sipNameNr_expirationAt 3293
#define sipName_expirationAt &sipStrings_QtNetworkAuth[3293]
#define sipNameNr_nonceChanged 3306
#define sipName_nonceChanged &sipStrings_QtNetworkAuth[3306]
#define sipNameNr_refreshToken 3319
#define sipName_refreshToken &sipStrings_QtNetworkAuth[3319]
#define sipNameNr_replyHandler 3332
#define sipName_replyHandler &sipStrings_QtNetworkAuth[3332]
#define sipNameNr_responseType 3345
#define sipName_responseType &sipStrings_QtNetworkAuth[3345]
#define sipNameNr_scopeChanged 3358
#define sipName_scopeChanged &sipStrings_QtNetworkAuth[3358]
#define sipNameNr_setNonceMode 3371
#define sipName_setNonceMode &sipStrings_QtNetworkAuth[3371]
#define sipNameNr_setUserAgent 3384
#define sipName_setUserAgent &sipStrings_QtNetworkAuth[3384]
#define sipNameNr_stateChanged 3397
#define sipName_stateChanged &sipStrings_QtNetworkAuth[3397]
#define sipNameNr_tokenChanged 3410
#define sipName_tokenChanged &sipStrings_QtNetworkAuth[3410]
#define sipNameNr_ClientError 3423
#define sipName_ClientError &sipStrings_QtNetworkAuth[3423]
#define sipNameNr_ContentType 455
#define sipName_ContentType &sipStrings_QtNetworkAuth[455]
#define sipNameNr_ServerError 3435
#define sipName_ServerError &sipStrings_QtNetworkAuth[3435]
#define sipNameNr_autoRefresh 3447
#define sipName_autoRefresh &sipStrings_QtNetworkAuth[3447]
#define sipNameNr_contentType 3459
#define sipName_contentType &sipStrings_QtNetworkAuth[3459]
#define sipNameNr_customEvent 3471
#define sipName_customEvent &sipStrings_QtNetworkAuth[3471]
#define sipNameNr_eventFilter 3483
#define sipName_eventFilter &sipStrings_QtNetworkAuth[3483]
#define sipNameNr_extraTokens 3495
#define sipName_extraTokens &sipStrings_QtNetworkAuth[3495]
#define sipNameNr_isListening 3507
#define sipName_isListening &sipStrings_QtNetworkAuth[3507]
#define sipNameNr_redirectUrl 3519
#define sipName_redirectUrl &sipStrings_QtNetworkAuth[3519]
#define sipNameNr_setTokenUrl 3531
#define sipName_setTokenUrl &sipStrings_QtNetworkAuth[3531]
#define sipNameNr_tokenSecret 3543
#define sipName_tokenSecret &sipStrings_QtNetworkAuth[3543]
#define sipNameNr_PkceMethod 30
#define sipName_PkceMethod &sipStrings_QtNetworkAuth[30]
#define sipNameNr_childEvent 3555
#define sipName_childEvent &sipStrings_QtNetworkAuth[3555]
#define sipNameNr_parameters 3566
#define sipName_parameters &sipStrings_QtNetworkAuth[3566]
#define sipNameNr_pkceMethod 3577
#define sipName_pkceMethod &sipStrings_QtNetworkAuth[3577]
#define sipNameNr_timerEvent 3588
#define sipName_timerEvent &sipStrings_QtNetworkAuth[3588]
#define sipNameNr_Automatic 3599
#define sipName_Automatic &sipStrings_QtNetworkAuth[3599]
#define sipNameNr_Hmac_Sha1 3609
#define sipName_Hmac_Sha1 &sipStrings_QtNetworkAuth[3609]
#define sipNameNr_NonceMode 792
#define sipName_NonceMode &sipStrings_QtNetworkAuth[792]
#define sipNameNr_PlainText 3619
#define sipName_PlainText &sipStrings_QtNetworkAuth[3619]
#define sipNameNr_isPolling 3629
#define sipName_isPolling &sipStrings_QtNetworkAuth[3629]
#define sipNameNr_nonceMode 3639
#define sipName_nonceMode &sipStrings_QtNetworkAuth[3639]
#define sipNameNr_plainText 3649
#define sipName_plainText &sipStrings_QtNetworkAuth[3649]
#define sipNameNr_setStatus 3659
#define sipName_setStatus &sipStrings_QtNetworkAuth[3659]
#define sipNameNr_userAgent 3669
#define sipName_userAgent &sipStrings_QtNetworkAuth[3669]
#define sipNameNr_Disabled 3679
#define sipName_Disabled &sipStrings_QtNetworkAuth[3679]
#define sipNameNr_Rsa_Sha1 3688
#define sipName_Rsa_Sha1 &sipStrings_QtNetworkAuth[3688]
#define sipNameNr_callback 3697
#define sipName_callback &sipStrings_QtNetworkAuth[3697]
#define sipNameNr_finished 3706
#define sipName_finished &sipStrings_QtNetworkAuth[3706]
#define sipNameNr_hmacSha1 3715
#define sipName_hmacSha1 &sipStrings_QtNetworkAuth[3715]
#define sipNameNr_setNonce 3724
#define sipName_setNonce &sipStrings_QtNetworkAuth[3724]
#define sipNameNr_setScope 3733
#define sipName_setScope &sipStrings_QtNetworkAuth[3733]
#define sipNameNr_setState 3742
#define sipName_setState &sipStrings_QtNetworkAuth[3742]
#define sipNameNr_setToken 3751
#define sipName_setToken &sipStrings_QtNetworkAuth[3751]
#define sipNameNr_tokenUrl 3760
#define sipName_tokenUrl &sipStrings_QtNetworkAuth[3760]
#define sipNameNr_userCode 3769
#define sipName_userCode &sipStrings_QtNetworkAuth[3769]
#define sipNameNr_Enabled 3778
#define sipName_Enabled &sipStrings_QtNetworkAuth[3778]
#define sipNameNr_Granted 3786
#define sipName_Granted &sipStrings_QtNetworkAuth[3786]
#define sipNameNr_NoError 3794
#define sipName_NoError &sipStrings_QtNetworkAuth[3794]
#define sipNameNr_QOAuth1 3802
#define sipName_QOAuth1 &sipStrings_QtNetworkAuth[3802]
#define sipNameNr_Unknown 3810
#define sipName_Unknown &sipStrings_QtNetworkAuth[3810]
#define sipNameNr_address 3818
#define sipName_address &sipStrings_QtNetworkAuth[3818]
#define sipNameNr_granted 3826
#define sipName_granted &sipStrings_QtNetworkAuth[3826]
#define sipNameNr_idToken 3834
#define sipName_idToken &sipStrings_QtNetworkAuth[3834]
#define sipNameNr_rsaSha1 3842
#define sipName_rsaSha1 &sipStrings_QtNetworkAuth[3842]
#define sipNameNr_Custom 3850
#define sipName_Custom &sipStrings_QtNetworkAuth[3850]
#define sipNameNr_Delete 3857
#define sipName_Delete &sipStrings_QtNetworkAuth[3857]
#define sipNameNr_Status 1472
#define sipName_Status &sipStrings_QtNetworkAuth[1472]
#define sipNameNr_insert 3864
#define sipName_insert &sipStrings_QtNetworkAuth[3864]
#define sipNameNr_length 3871
#define sipName_length &sipStrings_QtNetworkAuth[3871]
#define sipNameNr_listen 3878
#define sipName_listen &sipStrings_QtNetworkAuth[3878]
#define sipNameNr_method 3885
#define sipName_method &sipStrings_QtNetworkAuth[3885]
#define sipNameNr_parent 3892
#define sipName_parent &sipStrings_QtNetworkAuth[3892]
#define sipNameNr_setUrl 3899
#define sipName_setUrl &sipStrings_QtNetworkAuth[3899]
#define sipNameNr_status 3906
#define sipName_status &sipStrings_QtNetworkAuth[3906]
#define sipNameNr_Error 258
#define sipName_Error &sipStrings_QtNetworkAuth[258]
#define sipNameNr_None_ 3913
#define sipName_None_ &sipStrings_QtNetworkAuth[3913]
#define sipNameNr_Plain 3919
#define sipName_Plain &sipStrings_QtNetworkAuth[3919]
#define sipNameNr_Stage 1632
#define sipName_Stage &sipStrings_QtNetworkAuth[1632]
#define sipNameNr_close 3925
#define sipName_close &sipStrings_QtNetworkAuth[3925]
#define sipNameNr_error 3931
#define sipName_error &sipStrings_QtNetworkAuth[3931]
#define sipNameNr_event 3937
#define sipName_event &sipStrings_QtNetworkAuth[3937]
#define sipNameNr_grant 3943
#define sipName_grant &sipStrings_QtNetworkAuth[3943]
#define sipNameNr_nonce 3949
#define sipName_nonce &sipStrings_QtNetworkAuth[3949]
#define sipNameNr_scope 3955
#define sipName_scope &sipStrings_QtNetworkAuth[3955]
#define sipNameNr_setup 3961
#define sipName_setup &sipStrings_QtNetworkAuth[3961]
#define sipNameNr_state 3967
#define sipName_state &sipStrings_QtNetworkAuth[3967]
#define sipNameNr_token 3973
#define sipName_token &sipStrings_QtNetworkAuth[3973]
#define sipNameNr_value 3979
#define sipName_value &sipStrings_QtNetworkAuth[3979]
#define sipNameNr_Head 3985
#define sipName_Head &sipStrings_QtNetworkAuth[3985]
#define sipNameNr_Json 3990
#define sipName_Json &sipStrings_QtNetworkAuth[3990]
#define sipNameNr_Post 3995
#define sipName_Post &sipStrings_QtNetworkAuth[3995]
#define sipNameNr_S256 4000
#define sipName_S256 &sipStrings_QtNetworkAuth[4000]
#define sipNameNr_body 4005
#define sipName_body &sipStrings_QtNetworkAuth[4005]
#define sipNameNr_head 4010
#define sipName_head &sipStrings_QtNetworkAuth[4010]
#define sipNameNr_keys 4015
#define sipName_keys &sipStrings_QtNetworkAuth[4015]
#define sipNameNr_port 4020
#define sipName_port &sipStrings_QtNetworkAuth[4020]
#define sipNameNr_post 4025
#define sipName_post &sipStrings_QtNetworkAuth[4025]
#define sipNameNr_swap 4030
#define sipName_swap &sipStrings_QtNetworkAuth[4030]
#define sipNameNr_take 4035
#define sipName_take &sipStrings_QtNetworkAuth[4035]
#define sipNameNr_Get 4040
#define sipName_Get &sipStrings_QtNetworkAuth[4040]
#define sipNameNr_Put 4044
#define sipName_Put &sipStrings_QtNetworkAuth[4044]
#define sipNameNr_get 4048
#define sipName_get &sipStrings_QtNetworkAuth[4048]
#define sipNameNr_put 4052
#define sipName_put &sipStrings_QtNetworkAuth[4052]
#define sipNameNr_url 4056
#define sipName_url &sipStrings_QtNetworkAuth[4056]

#define sipMalloc                   sipAPI_QtNetworkAuth->api_malloc
#define sipFree                     sipAPI_QtNetworkAuth->api_free
#define sipBuildResult              sipAPI_QtNetworkAuth->api_build_result
#define sipCallMethod               sipAPI_QtNetworkAuth->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetworkAuth->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetworkAuth->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetworkAuth->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetworkAuth->api_parse_result
#define sipParseArgs                sipAPI_QtNetworkAuth->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetworkAuth->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetworkAuth->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetworkAuth->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetworkAuth->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetworkAuth->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetworkAuth->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetworkAuth->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetworkAuth->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetworkAuth->api_add_exception
#define sipNoFunction               sipAPI_QtNetworkAuth->api_no_function
#define sipNoMethod                 sipAPI_QtNetworkAuth->api_no_method
#define sipAbstractMethod           sipAPI_QtNetworkAuth->api_abstract_method
#define sipBadClass                 sipAPI_QtNetworkAuth->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetworkAuth->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetworkAuth->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetworkAuth->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetworkAuth->api_trace
#define sipTransferBack             sipAPI_QtNetworkAuth->api_transfer_back
#define sipTransferTo               sipAPI_QtNetworkAuth->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetworkAuth->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetworkAuth->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetworkAuth->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetworkAuth->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetworkAuth->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetworkAuth->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetworkAuth->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetworkAuth->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetworkAuth->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetworkAuth->api_call_hook
#define sipEndThread                sipAPI_QtNetworkAuth->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetworkAuth->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetworkAuth->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetworkAuth->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetworkAuth->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetworkAuth->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetworkAuth->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetworkAuth->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetworkAuth->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetworkAuth->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetworkAuth->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetworkAuth->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetworkAuth->api_release_type
#define sipConvertFromType          sipAPI_QtNetworkAuth->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetworkAuth->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetworkAuth->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetworkAuth->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetworkAuth->api_get_state
#define sipExportSymbol             sipAPI_QtNetworkAuth->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetworkAuth->api_import_symbol
#define sipFindType                 sipAPI_QtNetworkAuth->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetworkAuth->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetworkAuth->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetworkAuth->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetworkAuth->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetworkAuth->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetworkAuth->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetworkAuth->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetworkAuth->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetworkAuth->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetworkAuth->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetworkAuth->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtNetworkAuth->api_get_reference
#define sipKeepReference            sipAPI_QtNetworkAuth->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetworkAuth->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetworkAuth->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetworkAuth->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetworkAuth->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetworkAuth->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetworkAuth->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetworkAuth->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetworkAuth->api_init_mixin
#define sipExportModule             sipAPI_QtNetworkAuth->api_export_module
#define sipInitModule               sipAPI_QtNetworkAuth->api_init_module
#define sipGetInterpreter           sipAPI_QtNetworkAuth->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetworkAuth->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetworkAuth->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetworkAuth->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetworkAuth->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetworkAuth->api_get_c_function
#define sipGetMethod                sipAPI_QtNetworkAuth->api_get_method
#define sipFromMethod               sipAPI_QtNetworkAuth->api_from_method
#define sipGetDate                  sipAPI_QtNetworkAuth->api_get_date
#define sipFromDate                 sipAPI_QtNetworkAuth->api_from_date
#define sipGetDateTime              sipAPI_QtNetworkAuth->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetworkAuth->api_from_datetime
#define sipGetTime                  sipAPI_QtNetworkAuth->api_get_time
#define sipFromTime                 sipAPI_QtNetworkAuth->api_from_time
#define sipIsUserType               sipAPI_QtNetworkAuth->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetworkAuth->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetworkAuth->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetworkAuth->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetworkAuth->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetworkAuth->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetworkAuth->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetworkAuth->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetworkAuth->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetworkAuth->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetworkAuth->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetworkAuth->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetworkAuth->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetworkAuth->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetworkAuth->api_enable_gc
#define sipPrintObject              sipAPI_QtNetworkAuth->api_print_object
#define sipLong_AsChar              sipAPI_QtNetworkAuth->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetworkAuth->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetworkAuth->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetworkAuth->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetworkAuth->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetworkAuth->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetworkAuth->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetworkAuth->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetworkAuth->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetworkAuth->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetworkAuth->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetworkAuth->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetworkAuth->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetworkAuth->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtNetworkAuth->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtNetworkAuth->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtNetworkAuth->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetworkAuth->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetworkAuth->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetworkAuth->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetworkAuth->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetworkAuth->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetworkAuth[];

#define sipType_QAbstractOAuth sipExportedTypes_QtNetworkAuth[0]

#define sipType_QAbstractOAuth_ContentType sipExportedTypes_QtNetworkAuth[3]

#define sipType_QAbstractOAuth_Error sipExportedTypes_QtNetworkAuth[4]

#define sipType_QAbstractOAuth_Stage sipExportedTypes_QtNetworkAuth[5]

#define sipType_QAbstractOAuth_Status sipExportedTypes_QtNetworkAuth[6]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth;

#define sipType_QAbstractOAuth2 sipExportedTypes_QtNetworkAuth[1]

#define sipType_QAbstractOAuth2_NonceMode sipExportedTypes_QtNetworkAuth[2]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth2;

#define sipType_QAbstractOAuthReplyHandler sipExportedTypes_QtNetworkAuth[7]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuthReplyHandler;

#define sipType_QOAuth1 sipExportedTypes_QtNetworkAuth[9]

#define sipType_QOAuth1_SignatureMethod sipExportedTypes_QtNetworkAuth[10]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1;

#define sipType_QOAuth1Signature sipExportedTypes_QtNetworkAuth[11]

#define sipType_QOAuth1Signature_HttpRequestMethod sipExportedTypes_QtNetworkAuth[12]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1Signature;

#define sipType_QOAuth2AuthorizationCodeFlow sipExportedTypes_QtNetworkAuth[13]

#define sipType_QOAuth2AuthorizationCodeFlow_PkceMethod sipExportedTypes_QtNetworkAuth[14]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth2AuthorizationCodeFlow;

#define sipType_QOAuth2DeviceAuthorizationFlow sipExportedTypes_QtNetworkAuth[15]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth2DeviceAuthorizationFlow;

#define sipType_QOAuthOobReplyHandler sipExportedTypes_QtNetworkAuth[17]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthOobReplyHandler;

#define sipType_QOAuthHttpServerReplyHandler sipExportedTypes_QtNetworkAuth[16]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthHttpServerReplyHandler;

#define sipType_QOAuthUriSchemeReplyHandler sipExportedTypes_QtNetworkAuth[18]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthUriSchemeReplyHandler;

#define sipType_std_pair_0100QString_0100QString sipExportedTypes_QtNetworkAuth[20]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_std_pair_0100QString_0100QString;

#define sipType_QSet_0100QByteArray sipExportedTypes_QtNetworkAuth[19]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_QSet_0100QByteArray;

#define sipType_QMultiMap_0100QString_0100QVariant sipExportedTypes_QtNetworkAuth[8]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_QMultiMap_0100QString_0100QVariant;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetworkAuth;
extern sipExportedModuleDef sipModuleAPI_QtNetworkAuth;
extern sipTypeDef *sipExportedTypes_QtNetworkAuth[];

#define sipType_QObject sipImportedTypes_QtNetworkAuth_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtNetworkAuth_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNetworkAuth_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetworkAuth_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetworkAuth_QtCore[1].it_td

#define sipType_QDateTime sipImportedTypes_QtNetworkAuth_QtCore[2].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetworkAuth_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtNetworkAuth_QtCore[9].it_td

#define sipType_QUrlQuery sipImportedTypes_QtNetworkAuth_QtCore[10].it_td

#define sipType_QVariant sipImportedTypes_QtNetworkAuth_QtCore[11].it_td

#define sipType_QMap_0100QString_0100QVariant sipImportedTypes_QtNetworkAuth_QtCore[4].it_td

#define sipType_QString sipImportedTypes_QtNetworkAuth_QtCore[7].it_td

#define sipType_std_chrono_seconds sipImportedTypes_QtNetworkAuth_QtCore[12].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetworkAuth_QtCore[];

#define sipType_QHostAddress sipImportedTypes_QtNetworkAuth_QtNetwork[0].it_td

#define sipType_QHttpMultiPart sipImportedTypes_QtNetworkAuth_QtNetwork[1].it_td

#define sipType_QNetworkAccessManager sipImportedTypes_QtNetworkAuth_QtNetwork[3].it_td

#define sipType_QNetworkAccessManager_Operation sipImportedTypes_QtNetworkAuth_QtNetwork[4].it_td

#define sipType_QNetworkReply sipImportedTypes_QtNetworkAuth_QtNetwork[5].it_td

#define sipType_QNetworkRequest sipImportedTypes_QtNetworkAuth_QtNetwork[6].it_td

#define sipType_QSslConfiguration sipImportedTypes_QtNetworkAuth_QtNetwork[7].it_td

#define sipType_QList_0100QString sipImportedTypes_QtNetworkAuth_QtNetwork[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetworkAuth_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtNetworkAuth_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetworkAuth_qt_metacast;
#line 246 "/home/abuild/rpmbuild/BUILD/python-PyQt6-NetworkAuth-6.9.0-build/pyqt6_networkauth-6.9.0/sip/QtNetworkAuth/qabstractoauth.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtnetworkauth_err_print_t)();
extern pyqt6_qtnetworkauth_err_print_t pyqt6_qtnetworkauth_err_print;
#line 842 "/home/abuild/rpmbuild/BUILD/python-PyQt6-NetworkAuth-6.9.0-build/pyqt6_networkauth-6.9.0/build/QtNetworkAuth/sipAPIQtNetworkAuth.h"

#endif
